Module javafx.graphics
Package javafx.scene.shape

# Class ClosePath

java.lang.Object
javafx.scene.shape.PathElement
javafx.scene.shape.ClosePath

public class ClosePath extends PathElement
A path element which closes the current path.

For more information on path elements see the `Path` and `PathElement` classes.

Since:
  JavaFX 2.0

## Property Summary

### Properties inherited from class javafx.scene.shape.PathElement

`absolute`

## Constructor Summary

Constructors
Constructor
Description
`ClosePath()`
Creates an empty instance of ClosePath.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string representation of this `ArcTo` object.

### Methods inherited from class javafx.scene.shape.PathElement

`absoluteProperty, isAbsolute, setAbsolute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClosePath

public ClosePath()
Creates an empty instance of ClosePath.

## Method Details

### toString

public String toString()
Returns a string representation of this `ArcTo` object.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this `ArcTo` object.